
Redmine - Defect #13851

Unthreade new mail message

2013-04-23 12:36 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

I have updated redmine from previous (old) 1.4.0  to new 2.3.0.

With new release, I have a problem with emails thread view: if I have old mail threaded (for example per bug [A]) and now someone

update the bug [A], the new mail is orphaned and not threaded with others (old mails).

This happens per a changed creation of message-id in email source.

For the previous redmine release, when the bts send a mail for example from

Date: Tue, 23 Apr 2013 11:23:09 +0200,

I see that message-id is created as

<redmine.journal-22140.20130423112308@XXX.it>

Now message-id is created as 22140.20130423092308 (-2 hours)

and also references is created as 22140.20130423092308 (-2 hours) and cannot find originale message-id that is

22140.20130423112308 (+ 2 hours)

Is this intentional or is a new behavior of timestamp.strftime routine?

Related issues:

Is duplicate of Redmine - Defect #13888: Daylight savings causes inconsistenc... Closed

History

#1 - 2013-04-23 17:46 - pasquale [:dedalus]

The issue is related to new application.rb per option config.active_record.time_zone_aware_attributes;

If i set config.active_record.time_zone_aware_attributes = false all work fine.

This is a major bug because in this situation, a message for the same bug posted the day after the daylight savings off isn't in the same thread of

message sended for the same bug the day before!

#2 - 2013-05-06 09:05 - pasquale [:dedalus]

STRs (steps to reproduce):

1. move pc time to 30 march 2013, 10 AM

2. create a new bug: the first mail is sended to you

3. move pc time to 31 march 2013, 10 AM (when Europe starts Daylight Saving Time)

4. update the previusly created bug: redmine sends a mail to you but the two mails are unthreaded

#3 - 2019-02-20 01:26 - Go MAEDA

- Related to deleted (Defect #13888: Daylight savings causes inconsistency of Message-Id in emails)

#4 - 2019-02-20 01:26 - Go MAEDA

- Is duplicate of Defect #13888: Daylight savings causes inconsistency of Message-Id in emails added

#5 - 2019-02-20 01:27 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate
